Package voltage.core

# Class VoltageDigitalCounter

java.lang.Object
voltage.core.VoltageComponent
voltage.core.VoltageDigitalCounter

public class VoltageDigitalCounter extends VoltageComponent
A class to show a digital clock type display. Set a number/digit directly or set the different digital lines directly with flags.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `VoltageDigitalCounter.Flags`
  Individual flags for the digital readout - OR these together
  `static enum`
  `VoltageDigitalCounter.Justification`
  Justification of the numbers within the control.

- ## Field Summary

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoltageDigitalCounter(String name, String displayName, VoltageModule module, int numDigits)`
  Create a digital counter object.
  `VoltageDigitalCounter(String name, VoltageModule module, int numDigits)`
  Create a digital counter object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ClearAllDigits()`
  Clears all the bars for all digits
  `void`
  `ClearBarsForDigit(int digit)`
  Clears the bars for the digit.
  `void`
  `SetBarsForDigit(int digit, EnumSet<VoltageDigitalCounter.Flags> flags)`
  `void`
  `SetDigitsBarArray(EnumSet<VoltageDigitalCounter.Flags>[] arrayOfFlags)`
  `void`
  `SetJustificationFlags(VoltageDigitalCounter.Justification justificationFlag)`

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetValue, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoltageDigitalCounter

    public VoltageDigitalCounter(String name, String displayName, VoltageModule module, int numDigits)
    Create a digital counter object.
    Parameters:
      `name` - the name of the control.
      `displayName` - the display name of the control.
      `module` - the module this should belong to.
      `numDigits` - the number of digits to show. Use SetValue() and GetValue() to set the number. Alternatively, you can set the specific bar lines using SetBarsForDigit()
    See Also:
      - `VoltageComponent.SetValue(double)`
      - `VoltageComponent.GetValue()`

  - ### VoltageDigitalCounter

    public VoltageDigitalCounter(String name, VoltageModule module, int numDigits)
    Create a digital counter object.
    Parameters:
      `name` - the name of the control.
      `module` - the module this should belong to.
      `numDigits` - the number of digits to show. Use SetValue() and GetValue() to set the number. Alternatively, you can set the specific bar lines using SetBarsForDigit()
    See Also:
      - `VoltageComponent.SetValue(double)`
      - `VoltageComponent.GetValue()`

- ## Method Details

  - ### SetBarsForDigit

    public void SetBarsForDigit(int digit, EnumSet<VoltageDigitalCounter.Flags> flags)

  - ### SetDigitsBarArray

    public void SetDigitsBarArray(EnumSet<VoltageDigitalCounter.Flags>[] arrayOfFlags)

  - ### ClearBarsForDigit

    public void ClearBarsForDigit(int digit)
    Clears the bars for the digit.
    Parameters:
      `digit` - the digit to clear.

  - ### ClearAllDigits

    public void ClearAllDigits()
    Clears all the bars for all digits

  - ### SetJustificationFlags

    public void SetJustificationFlags(VoltageDigitalCounter.Justification justificationFlag)